---
title: "Get status and result of a particular task."
slug: "get-status-and-result-of-a-particular-task"
updated: 2026-04-04T02:22:39Z
published: 2026-04-04T02:22:47Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get status and result of a particular task.

Get/v1/tasks/status/{task-id}

Get status of a task. If the task is completed, it also returns the result values, if any.

Path parameterstask-idstring (uuid) Required

UUID of a task.

Responses200

Task Details.

<select class='api-response-data' aria-label='Media type'><option value='bb9b8a23-1ce8-42ad-8979-2aa42381bf1b'>application/json</option>
</select>Expand Allobject  task_idstring  (uuid)    

Task Id

certificate_idstring  (uuid)    

Certificate Id in case of certificate issuance task.

node_idstring  (uuid)    

Compute Node Id.

task_typestring    

The types of tasks supported.

Valid values[
  "NODE_ATTESTATION",
  "CERTIFICATE_ISSUANCE",
  "BUILD_WHITELIST",
  "DOMAIN_WHITELIST"
]
task_statusobject (TaskStatus)  

Status info for a task.

created_atinteger  (int64)    

Task creation time

status_updated_atinteger  (int64)    

Time since the status change.

statusstring    

Status string for a task.

Valid values[
  "INPROGRESS",
  "FAILED",
  "SUCCESS",
  "DENIED"
]

build_idstring  (uuid)    

Build Id.
